// My web Pov stuf
 #declare Nhit=0;
#ifndef(Get)
 #declare Nhit=1;
 #include "colors.inc"
  global_settings{ max_trace_level 50 }
  #declare At=<0,10,0>;//<5,0,-5>;  
  #declare Lat=<0,0,0>; 

 camera{ location At
        right x*image_width/image_height
        look_at Lat
        }
 background{Pink}
//light_source{ <-200,0,0> color White}
//light_source{ <200,30,-30> color White}
light_source{ <40,200,-300> color White}
light_source{ <-60,100,-20> color White}
//light_source{ <0,-100,0> color White}
//light_source{ <0,0,200> color White}

#end

#declare Get=1;
#include "Chesmen.pov"
#if (Nhit)#undef Get #end
//#declare Obj=Quen
//#declare On=min_extent(Obj);
//#declare Ox=max_extent(Obj);
//#declare Om=(On+Ox)/2;


//------- varables------------------------------
#declare Wd=.09;//float width of crack
#declare Dp=.06;//float depth of crack
#declare Dv=4;//int >0 Divisons of crack
#declare Ta=.2;//float texture adjust scale
#declare Tb=<-2,0,0>;//vector texture adjust translate
//------------formulas--------------------
#declare Cntv= Dp/Dv;

// pigment Test
//#declare Cpig= pigment{crackle color_map {[Wd rgbt 1][Wd rgb <.8,.8,.6>]}}
//#declare Dpig= pigment{crackle color_map {[Wd rgbt 1][Wd rgb 1]}}
//#declare Epig= pigment{crackle color_map {[Wd rgb .5][Wd rgb 1]}}

#declare Fpig=pigment{granite color_map{[0 rgb .7][1 rgb 1]} frequency 6}

#declare Atex= texture{pigment{rgbt 1}}
#declare Btex= texture{pigment{rgb <.9,.9,.8>} finish{reflection .2 phong .4 phong_size 90}}
#declare Ctex= texture{pigment{Gold} finish{reflection .15 phong .4 phong_size 190}}
#declare Dtex= texture{pigment{Fpig} normal {agate }}


#declare WStex= texture{crackle texture_map {[Wd Atex][Wd Btex]} 
                turbulence .1 }
#declare BStex= texture{crackle texture_map {[Wd Atex][Wd Ctex]} 
                turbulence .1 }

#declare Mtex= texture{crackle texture_map {[Wd Atex][Wd Dtex]} 
                turbulence .1} 
#declare Etex= texture{Dtex}

#macro CracObj(Obj,B)
 union{
 #if (B=1)
 object{Obj texture{WStex scale Ta translate Tb} }//translate -Om}
 #else
 object{Obj texture{BStex scale Ta translate Tb} }//translate -Om}
 #end
 #declare Cnt=1;
 #while(Cnt<Dv)
 
 object{Obj scale <1-(Cnt*Cntv),1,1-(Cnt*Cntv)> texture{Mtex scale Ta translate Tb} }//translate -Om}
 //  #debug concat("Cnt = ",str(Cnt,3,3))
 //  #debug concat("Scale = ",str(1-(Cnt*Cntv),3,3),"\n")
  #declare Cnt=Cnt+1;
  #end 
 object{Obj scale <1-(Cnt*Cntv),1,1-(Cnt*Cntv)> texture{Etex scale Ta translate Tb} }//translate -Om}
 }
#end

#declare Call=union{
// black pieces
#declare Tb=<8,0,0>;//vector texture adjust translate 
 object{CracObj(Pawn,0) CLoc("A7") no_reflection}
#declare Tb=<-5,0,0>; object{CracObj(Pawn,0) CLoc("B7")no_reflection}
#declare Tb=<-9,0,0>; object{CracObj(Pawn,0) CLoc("C7")no_reflection}
#declare Tb=<-12,0,0>; object{CracObj(Pawn,0) CLoc("D7")no_reflection}  
#declare Tb=<2,0,0>; object{CracObj(Pawn,0) CLoc("E7")no_reflection}  
#declare Tb=<20,10,0>; object{CracObj(Pawn,0) CLoc("F7")no_reflection}  
#declare Tb=<7,5,0>; object{CracObj(Pawn,0) CLoc("G7")no_reflection}  
#declare Tb=<-7,5,0>; object{CracObj(Pawn,0) CLoc("H7")no_reflection} 

#declare Tb=<17,5,0>; object{CracObj(Rook,0) CLoc("A8")no_reflection}  
#declare Tb=<7,5,10>; object{CracObj(Rook,0) CLoc("H8")no_reflection}  

#declare Tb=<7,-5,0>; object{CracObj(Knight,0) CLoc("B8")no_reflection}  
#declare Tb=<9,5,-10>; object{CracObj(Knight,0) rotate y*180 CLoc("G8")no_reflection}  

#declare Tb=<3,4,0>; object{CracObj(Bish,0) CLoc("C8")no_reflection}  
#declare Tb=<4,-3,0>; object{CracObj(Bish,0) rotate y*180 CLoc("F8")no_reflection}  

#declare Tb=<9,6,2>; object{CracObj(Quen,0) CLoc("D8")no_reflection}  

#declare Tb=<2,-8,3>; object{CracObj(King,0) CLoc("E8")no_reflection}    

// White pieces

#declare Tb=<-8,0,3>;//vector texture adjust translate 
 object{CracObj(Pawn,1) CLoc("A2") no_reflection}
#declare Tb=<-5,-10,0>; object{CracObj(Pawn,1) CLoc("B2")no_reflection}
#declare Tb=<-9,0,30>; object{CracObj(Pawn,1) CLoc("C2")no_reflection}
#declare Tb=<-12,9,0>; object{CracObj(Pawn,1) CLoc("D2")no_reflection}  
#declare Tb=<2,0,8>; object{CracObj(Pawn,1) CLoc("E2")no_reflection}  
#declare Tb=<-20,10,0>; object{CracObj(Pawn,1) CLoc("F2")no_reflection}  
#declare Tb=<27,-5,0>; object{CracObj(Pawn,1) CLoc("G2")no_reflection}  
#declare Tb=<0,5,0>; object{CracObj(Pawn,1) CLoc("H2")no_reflection} 

#declare Tb=<10,5,0>; object{CracObj(Rook,1) CLoc("A1")no_reflection}  
#declare Tb=<14,5,10>; object{CracObj(Rook,1) CLoc("H1")no_reflection}  

#declare Tb=<0,-5,0>; object{CracObj(Knight,1) CLoc("B1")no_reflection}  
#declare Tb=<2,5,-10>; object{CracObj(Knight,1) rotate y*180 CLoc("G1")no_reflection}  

#declare Tb=<10,4,0>; object{CracObj(Bish,1) CLoc("C1")no_reflection}  
#declare Tb=<-3,-3,0>; object{CracObj(Bish,1) rotate y*180 CLoc("F1")no_reflection}  

#declare Tb=<2,6,2>; object{CracObj(Quen,1) CLoc("D1")no_reflection}  

#declare Tb=<7,-8,3>; object{CracObj(King,1) CLoc("E1")no_reflection}    
}
#ifndef(Get)
 object{Call}
#end 