#ifndef(Get)
 #include "colors.inc"
  global_settings{ max_trace_level 50 }
  camera{ 
        location <5,0,-165>
        right x*image_width/image_height
        look_at <5,0,0>
        //normal{crackle scale<.1,.1,.001> translate x*40}
        }
 light_source{ <0,-200,0> color White}
 light_source{ <0,200,0> color White}
 light_source{ <0,0,100> color White}
 light_source{ <0,0,-100> color White}
 background{Pink}
#end
// base 
#ifndef(baseobj) #declare baseobj = disc {0, z, .999 finish {ambient 1 diffuse 0 reflection 0 phong 0 specular 0 crand 0}} #end
#ifndef(INC)  #declare INC = z*1e-3; #end// space between disc

//effect funtions
#ifndef(Star_At)  #declare Star_At=<-20,20,0>; #end// location
#ifndef(Star_Col) #declare Star_Col=<1,1,1>; #end
#ifndef(Star_Scale) #declare Star_Scale=1; #end
#ifndef(Star_Rot) #declare Star_Rot=1; #end
#ifndef(Star_Ent) #declare Star_Ent=1.5; #end
  
//--------Glow----------------------
#ifndef(GCol1)  #declare GCol1=<1,1,1>; #end
#ifndef(GCol2)  #declare GCol2=<1,.5,.5>;#end
#ifndef(Gscale) #declare Gscale=6;#end
#ifndef(Grot)  #declare Grot=<10,0,0>;#end
#ifndef(GEnt)  #declare GEnt=1;#end
 #declare GxCol1=GCol1*Star_Col;
 #declare GxCol2=GCol2;//*Star_Col;
 #declare Gxscale=Gscale*Star_Scale;
 #declare Gxrot=Grot+Star_Rot;
 #declare GxEnt=GEnt*Star_Ent;
   
       object {baseobj pigment {onion color_map {
            [0 rgb 1.2 * GxCol1 transmit pow(.1, GxEnt)]//,_LE_glowint
            [1 rgb GxCol2 transmit 1]}
            scallop_wave scale 2}
            scale .3 * Gxscale rotate z*Gxrot
            translate Star_At no_shadow} 
         #declare Star_At = Star_At - INC;
         
//--------Rays----------------------

#ifndef(RS) #declare RS = seed(3534657);#end 
#ifndef(RCol1) #declare RCol1=<1,1,1>;#end 
#ifndef(REnt)#declare REnt=10;#end 
#ifndef(Rscale)#declare Rscale=7;#end 
#ifndef(Rrot)#declare Rrot=20;#end 
#ifndef(Rfreq)#declare Rfreq=3;#end 
 #declare RxCol1=RCol1*Star_Col;
 #declare Rxscale=Rscale*Star_Scale;
 #declare Rxrot=Rrot+Star_Rot;
 #declare RxEnt=REnt*Star_Ent;

        #declare Cnt = rand(RS) * 10; 
        #while (Cnt < 360)
         object {baseobj pigment {onion color_map {
               [0 rgb RxCol1 transmit pow(.95, RxEnt)]
               [1 rgb RxCol1 transmit 1]}}
            translate y * 1.1 scale <.1, 1, 1> * (1 + (rand(RS) - .5) * .7)
            rotate z * Cnt scale .12 * Rxscale
            rotate z* Rxrot translate Star_At no_shadow}
          #declare Cnt = Cnt + (18 / Rfreq); 
         #end
         #declare Star_At = Star_At - INC;
        #declare Cnt = rand(RS) * 20; 
        #while (Cnt < 360)
          object {baseobj pigment {onion color_map {
               [0 rgb RxCol1 transmit pow(.95, RxEnt)]
               [1 rgb RxCol1 transmit 1]}}
            translate y * 1.1 scale <.15, 1, 1> * (1 + (rand(RS) - .5) * .7)
            rotate z * Cnt scale .12 * Rxscale
            rotate z*Rxrot translate Star_At no_shadow}
         #declare Cnt = Cnt + (24 / Rfreq); 
         #end
        #declare Star_At = Star_At - INC;

//----------Streaks----------------------       
#ifndef(SCol1) #declare SCol1=<1,1,1>;#end 
#ifndef(SCol2) #declare SCol2=<1,1,.5>;#end 
#ifndef(SEnt) #declare SEnt=2;#end 
#ifndef(Sscale) #declare Sscale=15;#end 
#ifndef(Srot) #declare Srot=0;#end 
#ifndef(Sfreq) #declare Sfreq=6;#end 
 #declare SxCol1=SCol1*Star_Col;
 #declare SxCol2=SCol2;//*Star_Col;
 #declare Sxscale=Sscale*Star_Scale;
 #declare Sxrot=Srot+Star_Rot;
 #declare SxEnt=SEnt*Star_Ent;

  #declare N=360/Sfreq;
  #declare Cnt = 0; 
  #while ( Cnt < 180)
         object {baseobj pigment {onion color_map {
            [0 rgb 1.1 * SxCol1  transmit pow(.1, SxEnt)]
            [1 rgb SCol2  transmit 1]}
            scallop_wave scale 2}
            scale <.02, .45, 1> rotate z * Cnt
            scale Sxscale rotate z*Sxrot
            translate Star_At no_shadow}
   #declare Star_At = Star_At - INC;   
   #declare Cnt = Cnt + N; 
   #end 
// sphere{Star_At,1 pigment{White}}